Index: common/pixel.c
===================================================================
--- common/pixel.c	(revision 555)
+++ common/pixel.c	(working copy)
@@ -379,9 +379,14 @@
 {
     int x, y, z;
     float ssim = 0.0;
-    int sums[2][width/4+3][4];
-    int (*sum0)[4] = sums[0];
-    int (*sum1)[4] = sums[1];
+#if !defined WIN32
+	int sums[2][width/4+3][4];
+#else
+    int (*sums)[4]=(int (*)[4])_alloca((width/4+3)*4*2*sizeof(int));
+#endif
+	int (*sum0)[4]=sums;
+	int (*sum1)[4]=sums+width/4+3;
+
     width >>= 2;
     height >>= 2;
     z = 0;
